%define name hlmaps
%define version 1.1
%define release 4mdk
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl/CGI script displaying all maps of a Half-Life server
License:	GPL
Group:		System/Servers
Source:		http://prdownloads.sourceforge.net/hlmaps/%{name}-%{version}.tar.bz2
URL:		http://hlmaps.sourceforge.net
Requires:	webserver
Requires:	hlmaps_images
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ADVX-build >= 1.2

%description
HLmaps is a Perl/CGI script for Half-Life game servers running
on Linux, FreeBSD, and WinNT. It allows web site visitors to 
view all your loaded maps, screen shots, download links and some 
file statistics in a nice, sortable table.

%prep
%setup -n %{name}-release

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 0755 $RPM_BUILD_ROOT%{_sysconfdir}
install -d -m 0755 $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
install -d -m 0755 $RPM_BUILD_ROOT%{_localstatedir}/%{name}
install -d -m 0755 $RPM_BUILD_ROOT%{ap_datadir}/cgi-bin
install -m 0644 hlmaps.conf.distrib $RPM_BUILD_ROOT%{_sysconfdir}/hlmaps.conf
install -m 0755 hlmaps.cron $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/hlmaps.cron
install -m 0755 hlmaps.pl $RPM_BUILD_ROOT%{ap_datadir}/cgi-bin
# fix doc perms
chmod 644 CHANGELOG CONTRIBUTING CONTRIBUTORS INSTALL INSTALL.MySQL LICENSE README  TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG CONTRIBUTING CONTRIBUTORS INSTALL INSTALL.MySQL LICENSE README  TODO
%config(noreplace) %{_sysconfdir}/hlmaps.conf
%config(noreplace) %{_sysconfdir}/cron.daily/hlmaps.cron
%{ap_datadir}/cgi-bin/hlmaps.pl

%changelog
* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1-4mdk 
- rpmbuilupdate aware

* Sat Feb 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1-3mdk
- more macros

* Thu Aug 29 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.1-2mdk
- rebuild

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- 1.1

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0-3mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- corrected requires to hlmaps_images

* Thu Dec 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0-2mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- changed specfile, not original archive

* Tue Dec 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	         - first Mandrake package

